<?php
class Directive_Joomla_Document {
	private $header;
	
	function __construct() {
		jimport ( 'joomla.document.document' );
		$this->loadHeader ();
	}
	
	public function loadHeader() {
		$this->header = & JFactory::getDocument ()->getHeadData ();
	}
	
	public function isScriptIncluded($scriptname) {
		$scripts = $this->header ['scripts'];
		while ( current ( $scripts ) ) {
			$key = key ( $scripts );
			if (strstr ( $key, $scriptname )) {
				return true;
			}
			next ( $scripts );
		}
	}
	
	public function removeScript($scriptname, $push = true) {
		$scripts = $this->header ['scripts'];
		echo '<pre>';
		print_r ( $scripts );
		echo '</pre>';
		$newList = array ();
		while ( $value = current ( $scripts ) ) {
			$key = key ( $scripts );
			if (! strstr ( $key, $scriptname )) {
				$newList [$key] = $value;
			}
			next ( $scripts );
		}
		$this->header ['scripts'] = $newList;
		if ($push) {
			$this->push ();
		}
		;
		return $newList;
	}
	
	public function push() {
		JFactory::getDocument ()->setHeadData ( $this->header );
	}

}

class Directive_Joomla_Document_Helper extends Directive_Joomla_Document {
	public function __construct() {
		parent::__construct ();
	}
	
	public function addSafejQuery() {
		parent::removeScript('mootools.js');
		parent::removeScript('modal.js');
		parent::removeScript('caption.js');
		parent::removeScript('k2.js');
		parent::removeScript('jquery');
		$doc = & JFactory::getDocument ();
		$doc->addScript('http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js');
		
		
	}
}
?>