/* Expand Category when click on ahref */
function expandCategory (catid,level) {

	var divCat = jQuery('#'+catid); // Clicked category
	var divCatTitle = jQuery('#'+catid).children('.title'); // Clicked category title
	var divSubCats = jQuery(divCat).children('div.sub_categories'); // Children categories
	var divSubItems = jQuery(divCat).children('div.k2_items'); // Children categories
	
	var divSameLvCat = jQuery('.k2_category.level-'+level+'.open'); // Find all cat in same level and opened
	// SlideUp all open categories in same level
	jQuery(divSameLvCat) 								
		.not('#'+catid) 											// but not clicked cat
		.children('div.sub_categories') 							// go to wrap of sub cats
		.slideUp(); 												// than show
	// Slideup all open items in same level
	jQuery(divSameLvCat) 											
		.not('#'+catid)												// but not clicked cat
		.children('div.k2_items')									// go to wrap items
		.slideUp();													// than show
	// Remove all current open status of cats
	jQuery(divSameLvCat)
		.not('#'+catid)												// but not clicked cat 
		.removeClass('open');										// remove open status
	
	// Toggle class
	jQuery(divCat).toggleClass('open');
	
	if ( jQuery(divCat).hasClass('open') ) { // Already open and now close
		jQuery(divSubCats).slideDown(); // Sub Categories
		jQuery(divSubItems).slideDown(); // Sub Items
	}else { // and now open
		jQuery(divSubCats).slideUp();
		jQuery(divSubItems).slideUp();
	}
	
	// Set highlight;
	jQuery('.k2_category .highlightx').removeClass('highlightx'); // Remove all current highlight
	jQuery(divCatTitle).addClass('highlightx');		
}

/* This function when click on Cat (span) to reload / ajax */
function categoryClick(catid,ajax,container){
	
	var ahref = jQuery('#'+catid+' .k2_category.title h2 a').attr('href');	
	
	list = '&catClick=' + catid;	
	if ( ajax == 1 ) {
		// if need ajax put code here
		ahref = ahref + '&tmpl=component&stype=raw';
		jQuery(container).load(ahref);
	}else {
		window.location.replace(ahref + list); // reload page with catClick params
	}
}

/* This function called when click on item */
function expandItem(itemid, ajax, container) {
	var divItem = jQuery('#item-'+itemid); // Clicked item
	var ahref = jQuery(divItem)
			.children()													// h2
			.children()													// a
			.attr('href');;
	
	if ( ajax == 1 ) {
		ahref = ahref + '&tmpl=component&stype=raw';
		jQuery(container).load(ahref);
		// Remove all existed highlightx
		jQuery('.k2_item.highlightx').removeClass('highlightx');
		// And set current
		jQuery(divItem).addClass('highlightx');
	}else {
		var clickedItem = '&itemClick=item-'+itemid;
		var catid = jQuery(divItem)										// 
			.parent()													// Items wrap
			.parent()													// Cat
			.attr('id');												// get id
		
			
		
		ahref = ahref + '&catClick='+catid+clickedItem;
		window.location.replace(ahref); // reload page with catClick / itemClick params
	}
	
}

// Expand  clicked cat in prev page
function preExpandCat (id, itemid) {	
	jQuery(document).ready(function(){
		jQuery('#'+id+'.k2_category').parents('.k2_category.hasChild').each(function(){
			jQuery(this).children().click();
		})
		jQuery('#'+id+'.k2_category').children().click();
		
		if ( itemid != '' ) {		
			jQuery('#'+itemid).addClass('highlightx');
		}
	})
	
	
}


